Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Interface JMSConstants

public interface JMSConstants

JMSConstants contains constants that apply to all JMS providers. `JMSConstants` contains the constant definitions for interacting with the WSClient. The most important constants are the `HashMap` keys for use in the arguments to the `send, call, registerListener, unregisterListener` methods of `JMSEndpoint` and the `createConnector` method of `JMSConnectorFactory`.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`static java.lang.String` | `_ACKNOWLEDGE_MODE`
`static java.lang.String` | `_CLIENT_ID`
`static java.lang.String` | `_CONNECT_RETRY_INTERVAL`
`static java.lang.String` | `_DELIVERY_MODE`
`static java.lang.String` | `_DOMAIN`
`static java.lang.String` | `_INTERACT_RETRY_INTERVAL`
`static java.lang.String` | `_JMS_CORRELATION_ID`
`static java.lang.String` | `_JMS_CORRELATION_ID_AS_BYTES`
`static java.lang.String` | `_JMS_TYPE`
`static java.lang.String` | `_MESSAGE_SELECTOR`
`static java.lang.String` | `_MIN_TIMEOUT_TIME`
`static java.lang.String` | `_MSG_PROP_PREFIX` Defines a prefix added to each application-specific property in the JMS URL that should be added to the JMS Message when issued.
`static java.lang.String` | `_NO_LOCAL`
`static java.lang.String` | `_NUM_RETRIES`
`static java.lang.String` | `_NUM_SESSIONS`
`static java.lang.String` | `_PRIORITY`
`static java.lang.String` | `_SUBSCRIPTION_NAME`
`static java.lang.String` | `_TIME_TO_LIVE`
`static java.lang.String` | `_TIMEOUT_TIME`
`static java.lang.String` | `_UNSUBSCRIBE`
`static java.lang.String` | `_VENDOR`
`static java.lang.String` | `_WAIT_FOR_RESPONSE`
`static java.lang.String` | `ACKNOWLEDGE_MODE` Key for properties used in the `registerListener` method.
`static java.lang.String` | `ADAPTER_POSTFIX`
`static java.lang.String` | `CLIENT_ID` `JMSConnectorFactory` parameter valid for either domain.
`static java.lang.String` | `CONNECT_RETRY_INTERVAL` Key for properties used in the `createConnector` method.
`static java.lang.String` | `CONNECTOR`
`static int` | `DEFAULT_ACKNOWLEDGE_MODE` value for ACKNOWLEDGE_MODE if left unset.
`static long` | `DEFAULT_CONNECT_RETRY_INTERVAL`
`static int` | `DEFAULT_DELIVERY_MODE`
`static long` | `DEFAULT_INTERACT_RETRY_INTERVAL`
`static long` | `DEFAULT_MIN_TIMEOUT_TIME`
`static boolean` | `DEFAULT_NO_LOCAL`
`static int` | `DEFAULT_NUM_RETRIES`
`static int` | `DEFAULT_NUM_SESSIONS`
`static int` | `DEFAULT_PRIORITY`
`static long` | `DEFAULT_TIME_TO_LIVE`
`static long` | `DEFAULT_TIMEOUT_TIME`
`static boolean` | `DEFAULT_UNSUBSCRIBE`
`static java.lang.String` | `DELIVERY_MODE` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `DELIVERY_MODE_DISCARDABLE`
`static java.lang.String` | `DELIVERY_MODE_NONPERSISTENT`
`static java.lang.String` | `DELIVERY_MODE_PERSISTENT`
`static java.lang.String` | `DESTINATION`
`static java.lang.String` | `DOMAIN`
`static java.lang.String` | `DOMAIN_DEFAULT`
`static java.lang.String` | `DOMAIN_QUEUE`
`static java.lang.String` | `DOMAIN_TOPIC`
`static java.lang.String` | `INTERACT_RETRY_INTERVAL` Key for properties used in the `createConnector` method.
`static java.lang.String` | `JMS_APPLICATION_MSG_PROPS` A property that carries a Map of application-specific properties to be added to the JMS messages when issued.
`static java.lang.String` | `JMS_CORRELATION_ID` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `JMS_CORRELATION_ID_AS_BYTES` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `JMS_PROPERTY_PREFIX`
`static java.lang.String` | `JMS_TYPE` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `JMS_URL`
`static java.lang.String` | `JNDI_VENDOR_ID`
`static java.lang.String` | `MESSAGE_SELECTOR` Key for properties used in the `registerListener` method.
`static java.lang.String` | `MIN_TIMEOUT_TIME` Key for properties used in the `createConnector` method.
`static java.lang.String` | `NO_LOCAL` Key for properties used in the `registerListener` method.
`static java.lang.String` | `NUM_RETRIES` Key for properties used in the `createConnector` method.
`static java.lang.String` | `NUM_SESSIONS` Key for properties used in the `createConnector` method.
`static java.lang.String` | `PRIORITY` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `PROTOCOL`
`static java.lang.String` | `SUBSCRIPTION_NAME` Specifies the name of a durable subscription Key for properties used in the `registerListener` method.
`static java.lang.String` | `TIME_TO_LIVE` Key for properties used in the `send` and `call` methods.
`static java.lang.String` | `TIMEOUT_TIME` Key for properties used in the `createConnector` method.
`static java.lang.String` | `UNSUBSCRIBE` Key for properties used in the `registerListener` method.
`static java.lang.String` | `VENDOR`
`static java.lang.String` | `VENDOR_ADAPTER`
`static java.lang.String` | `WAIT_FOR_RESPONSE` This is used as a key in the Call properties telling the JMS transport to wait for a response from the service.

Field Detail

### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

### _WAIT_FOR_RESPONSE

    public static final java.lang.String _WAIT_FOR_RESPONSE

See Also:
  Constant Field Values

### _CLIENT_ID

    public static final java.lang.String _CLIENT_ID

See Also:
  Constant Field Values

### _VENDOR

    public static final java.lang.String _VENDOR

See Also:
  Constant Field Values

### _DOMAIN

    public static final java.lang.String _DOMAIN

See Also:
  Constant Field Values

### _JMS_CORRELATION_ID

    public static final java.lang.String _JMS_CORRELATION_ID

See Also:
  Constant Field Values

### _JMS_CORRELATION_ID_AS_BYTES

    public static final java.lang.String _JMS_CORRELATION_ID_AS_BYTES

See Also:
  Constant Field Values

### _JMS_TYPE

    public static final java.lang.String _JMS_TYPE

See Also:
  Constant Field Values

### _TIME_TO_LIVE

    public static final java.lang.String _TIME_TO_LIVE

See Also:
  Constant Field Values

### _PRIORITY

    public static final java.lang.String _PRIORITY

See Also:
  Constant Field Values

### _DELIVERY_MODE

    public static final java.lang.String _DELIVERY_MODE

See Also:
  Constant Field Values

### _MESSAGE_SELECTOR

    public static final java.lang.String _MESSAGE_SELECTOR

See Also:
  Constant Field Values

### _ACKNOWLEDGE_MODE

    public static final java.lang.String _ACKNOWLEDGE_MODE

See Also:
  Constant Field Values

### _SUBSCRIPTION_NAME

    public static final java.lang.String _SUBSCRIPTION_NAME

See Also:
  Constant Field Values

### _UNSUBSCRIBE

    public static final java.lang.String _UNSUBSCRIBE

See Also:
  Constant Field Values

### _NO_LOCAL

    public static final java.lang.String _NO_LOCAL

See Also:
  Constant Field Values

### _NUM_RETRIES

    public static final java.lang.String _NUM_RETRIES

See Also:
  Constant Field Values

### _NUM_SESSIONS

    public static final java.lang.String _NUM_SESSIONS

See Also:
  Constant Field Values

### _CONNECT_RETRY_INTERVAL

    public static final java.lang.String _CONNECT_RETRY_INTERVAL

See Also:
  Constant Field Values

### _INTERACT_RETRY_INTERVAL

    public static final java.lang.String _INTERACT_RETRY_INTERVAL

See Also:
  Constant Field Values

### _TIMEOUT_TIME

    public static final java.lang.String _TIMEOUT_TIME

See Also:
  Constant Field Values

### _MIN_TIMEOUT_TIME

    public static final java.lang.String _MIN_TIMEOUT_TIME

See Also:
  Constant Field Values

### _MSG_PROP_PREFIX

    public static final java.lang.String _MSG_PROP_PREFIX

  Defines a prefix added to each application-specific property in the JMS URL that should be added to the JMS Message when issued.

  See Also:
    Constant Field Values

### JMS_PROPERTY_PREFIX

    public static final java.lang.String JMS_PROPERTY_PREFIX

See Also:
  Constant Field Values

### WAIT_FOR_RESPONSE

    public static final java.lang.String WAIT_FOR_RESPONSE

  This is used as a key in the Call properties telling the JMS transport to wait for a response from the service. The default value is true. If false is specified, the message will be delivered without specifying a ReplyTo. The client will always return null from invoke unless a client-side exception is thrown (similar to invokeOneWay in semantics) The value must be a `java.lang.Boolean`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### CLIENT_ID

    public static final java.lang.String CLIENT_ID

  `JMSConnectorFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for durable subscribers. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DESTINATION

    public static final java.lang.String DESTINATION

See Also:
  Constant Field Values

### VENDOR

    public static final java.lang.String VENDOR

See Also:
  Constant Field Values

### JNDI_VENDOR_ID

    public static final java.lang.String JNDI_VENDOR_ID

See Also:
  Constant Field Values

### DOMAIN

    public static final java.lang.String DOMAIN

See Also:
  Constant Field Values

### DOMAIN_QUEUE

    public static final java.lang.String DOMAIN_QUEUE

See Also:
  Constant Field Values

### DOMAIN_TOPIC

    public static final java.lang.String DOMAIN_TOPIC

See Also:
  Constant Field Values

### DOMAIN_DEFAULT

    public static final java.lang.String DOMAIN_DEFAULT

See Also:
  Constant Field Values

### JMS_CORRELATION_ID

    public static final java.lang.String JMS_CORRELATION_ID

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### JMS_CORRELATION_ID_AS_BYTES

    public static final java.lang.String JMS_CORRELATION_ID_AS_BYTES

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `byte[]`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### JMS_TYPE

    public static final java.lang.String JMS_TYPE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### TIME_TO_LIVE

    public static final java.lang.String TIME_TO_LIVE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Long`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### PRIORITY

    public static final java.lang.String PRIORITY

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Integer`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DELIVERY_MODE

    public static final java.lang.String DELIVERY_MODE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Integer` equal to DeliveryMode.NON_PERSISTENT or DeliveryMode.PERSISTENT. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DELIVERY_MODE_PERSISTENT

    public static final java.lang.String DELIVERY_MODE_PERSISTENT

See Also:
  Constant Field Values

### DELIVERY_MODE_NONPERSISTENT

    public static final java.lang.String DELIVERY_MODE_NONPERSISTENT

See Also:
  Constant Field Values

### DELIVERY_MODE_DISCARDABLE

    public static final java.lang.String DELIVERY_MODE_DISCARDABLE

See Also:
  Constant Field Values

### DEFAULT_DELIVERY_MODE

    public static final int DEFAULT_DELIVERY_MODE

See Also:
  Constant Field Values

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

See Also:
  Constant Field Values

### DEFAULT_TIME_TO_LIVE

    public static final long DEFAULT_TIME_TO_LIVE

See Also:
  Constant Field Values

### MESSAGE_SELECTOR

    public static final java.lang.String MESSAGE_SELECTOR

  Key for properties used in the `registerListener` method. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### ACKNOWLEDGE_MODE

    public static final java.lang.String ACKNOWLEDGE_MODE

  Key for properties used in the `registerListener` method. It is valid for either domain. The value must be a `java.lang.Integer` that is one of Session.AUTO_ACKNOWLEDGE, Session.DUPS_OK_ACKNOWLEDGE, or Session.CLIENT_ACKNOWLEDGE. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DEFAULT_ACKNOWLEDGE_MODE

    public static final int DEFAULT_ACKNOWLEDGE_MODE

  value for ACKNOWLEDGE_MODE if left unset. It is equal to Session.DUPS_OK_ACKNOWLEDGE.

  See Also:
    Constant Field Values

### SUBSCRIPTION_NAME

    public static final java.lang.String SUBSCRIPTION_NAME

  Specifies the name of a durable subscription Key for properties used in the `registerListener` method. It is valid for the PubSub domain. The value must be a `java.lang.String`.

  See Also:
    Constant Field Values

### UNSUBSCRIBE

    public static final java.lang.String UNSUBSCRIBE

  Key for properties used in the `registerListener` method. It is valid for the PubSub domain. Specifies that the durable subscription should be unsubscribed (deleted from the broker) when unregistered. The value must be a `java.lang.Boolean`.

  See Also:
    Constant Field Values

### NO_LOCAL

    public static final java.lang.String NO_LOCAL

  Key for properties used in the `registerListener` method. It is valid for the PubSub domain. The value must be a `java.lang.Boolean`.

  See Also:
    Constant Field Values

### DEFAULT_NO_LOCAL

    public static final boolean DEFAULT_NO_LOCAL

See Also:
  Constant Field Values

### DEFAULT_UNSUBSCRIBE

    public static final boolean DEFAULT_UNSUBSCRIBE

See Also:
  Constant Field Values

### NUM_RETRIES

    public static final java.lang.String NUM_RETRIES

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Integer`.

  See Also:
    Constant Field Values

### NUM_SESSIONS

    public static final java.lang.String NUM_SESSIONS

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Integer`.

  See Also:
    Constant Field Values

### CONNECT_RETRY_INTERVAL

    public static final java.lang.String CONNECT_RETRY_INTERVAL

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### INTERACT_RETRY_INTERVAL

    public static final java.lang.String INTERACT_RETRY_INTERVAL

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### TIMEOUT_TIME

    public static final java.lang.String TIMEOUT_TIME

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### MIN_TIMEOUT_TIME

    public static final java.lang.String MIN_TIMEOUT_TIME

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### DEFAULT_NUM_RETRIES

    public static final int DEFAULT_NUM_RETRIES

See Also:
  Constant Field Values

### DEFAULT_NUM_SESSIONS

    public static final int DEFAULT_NUM_SESSIONS

See Also:
  Constant Field Values

### DEFAULT_CONNECT_RETRY_INTERVAL

    public static final long DEFAULT_CONNECT_RETRY_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT_TIME

    public static final long DEFAULT_TIMEOUT_TIME

See Also:
  Constant Field Values

### DEFAULT_MIN_TIMEOUT_TIME

    public static final long DEFAULT_MIN_TIMEOUT_TIME

See Also:
  Constant Field Values

### DEFAULT_INTERACT_RETRY_INTERVAL

    public static final long DEFAULT_INTERACT_RETRY_INTERVAL

See Also:
  Constant Field Values

### CONNECTOR

    public static final java.lang.String CONNECTOR

See Also:
  Constant Field Values

### VENDOR_ADAPTER

    public static final java.lang.String VENDOR_ADAPTER

See Also:
  Constant Field Values

### JMS_URL

    public static final java.lang.String JMS_URL

See Also:
  Constant Field Values

### JMS_APPLICATION_MSG_PROPS

    public static final java.lang.String JMS_APPLICATION_MSG_PROPS

  A property that carries a Map of application-specific properties to be added to the JMS messages when issued.

  See Also:
    Constant Field Values

### ADAPTER_POSTFIX

    public static final java.lang.String ADAPTER_POSTFIX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.